#!/bin/bash

# Pour trouver quelqu'un dans la base de données

for i in $@
do
  if [ $i = "--no-mail" ]
    then nomail=1;
    shift;
  fi;
  if [ $i = "--idbde" ]
    then searchidcbde=1;
    shift;
  fi
  if [ $i = "--all" ] || [ $i = "-a" ]
    then searchall=1;
    shift;
  fi
done

# Si on n'a *pas* mis --no-mail (too many negations, I know)
if [ -z "${nomail}" ]
then
  adding=" OR mail ILIKE '%$1%'"
fi
# Si on a mis --idbde, il faut matcher l'idbde de manière plus lâche
if [ "${searchidcbde}" = "1" ]
then
  wild="%"
fi

    psql note -c "SELECT * FROM comptes WHERE pseudo ILIKE '%$1%' OR nom ILIKE '%$1%'
     OR prenom ILIKE '%$1%'${adding} OR CAST(idbde AS varchar) LIKE '${wild}$1${wild}' ORDER BY nom;"
if [ -n "${searchall}" ]
then
    psql note -c "SELECT a.*, c.* FROM aliases AS a, comptes AS c WHERE a.idbde = c.idbde AND a.alias ILIKE '%$1%' ORDER BY a.alias;"
    psql note -c "SELECT h.*, c.* FROM historique AS h, comptes AS c WHERE h.idbde = c.idbde AND h.avant ILIKE '%$1%' ORDER BY h.avant;"
fi
